﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TibcoQueueMonitor.Entities
{
    /// <summary>
    /// Represents a TIBCO EMS queue.
    /// </summary>
    [Serializable]
    public class TibcoQueue
    {
        #region Private Fields
        private string _queueName;
        private int _receivers;
        private int _messageCount;
        private float _totalMessageSizeKb;

        #endregion //Private Fields

        #region Public Properties
        /// <summary>
        /// Gets or sets the name of the queue.
        /// </summary>
        /// <value>The name of the queue.</value>
        public string QueueName
        {
            get { return _queueName; }
            set { _queueName = value; }
        }

        /// <summary>
        /// Gets or sets the receivers.
        /// </summary>
        /// <value>The receivers.</value>
        public int Receivers
        {
            get { return _receivers; }
            set { _receivers = value; }
        }

        /// <summary>
        /// Gets or sets the message count.
        /// </summary>
        /// <value>The message count.</value>
        public int MessageCount
        {
            get { return _messageCount; }
            set { _messageCount = value; }
        }

        /// <summary>
        /// Gets or sets the total message size KB.
        /// </summary>
        /// <value>The total message size KB.</value>
        public float TotalMessageSizeKB
        {
            get { return _totalMessageSizeKb; }
            set { _totalMessageSizeKb = value; }
        }

        #endregion //Public Properties
    }
}
