﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Runtime.Serialization;

namespace TibcoQueueMonitor
{
    /// <summary>
    /// Exception which indicates that the TibcoAdminManager was unable to find
    /// a necessary file.
    /// </summary>
    [Serializable]
    public class TibcoAdminFileNotFoundException : FileNotFoundException
    {
        #region Constructors
        /// <summary>
        /// Initializes a new instance of the <see cref="TibcoAdminFileNotFoundException"/> class.
        /// </summary>
        public TibcoAdminFileNotFoundException()
            : base()
        { }

        /// <summary>
        /// Initializes a new instance of the <see cref="TibcoAdminFileNotFoundException"/> class.
        /// </summary>
        /// <param name="message">The exception message.</param>
        public TibcoAdminFileNotFoundException(string message)
            : base(message)
        { }

        /// <summary>
        /// Initializes a new instance of the <see cref="TibcoAdminFileNotFoundException"/> class.
        /// </summary>
        /// <param name="message">The exception message.</param>
        /// <param name="innerException">The inner exception.</param>
        public TibcoAdminFileNotFoundException(string message, Exception innerException)
            : base(message, innerException)
        { }

        /// <summary>
        /// Initializes a new instance of the <see cref="TibcoAdminFileNotFoundException"/> class.
        /// </summary>
        /// <param name="message">The exception message.</param>
        /// <param name="filename">The filename that was not found.</param>
        public TibcoAdminFileNotFoundException(string message, string filename)
            : base(message, filename)
        { }

        /// <summary>
        /// Initializes a new instance of the <see cref="TibcoAdminFileNotFoundException"/> class.
        /// </summary>
        /// <param name="info">The data for serializing or deserializing the file.</param>
        /// <param name="context">The source and destination for the file.</param>
        public TibcoAdminFileNotFoundException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        { }

        /// <summary>
        /// Initializes a new instance of the <see cref="TibcoAdminFileNotFoundException"/> class.
        /// </summary>
        /// <param name="message">The exception message.</param>
        /// <param name="filename">The filename that was not found.</param>
        /// <param name="innerException">The inner exception.</param>
        public TibcoAdminFileNotFoundException(string message, string filename, Exception innerException)
            : base(message, filename, innerException)
        { }

        #endregion //Constructors
    }
}
