﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TibcoQueueMonitor.Entities
{
    /// <summary>
    /// Entity that describes a client host that connects to an EMS server.
    /// </summary>
    [Serializable]
    public class ClientHost
    {
        #region Private Fields
        private string _hostname;
        private string _friendlyName;
        private string _environmentType;

        #endregion //Private Fields

        #region Public Properties
        /// <summary>
        /// Gets or sets the hostname.
        /// </summary>
        /// <value>The hostname.</value>
        public string Hostname
        {
            get { return _hostname; }
            set { _hostname = value; }
        }

        /// <summary>
        /// Gets or sets the friendly or 'user-defined' name.
        /// </summary>
        /// <value>The friendly name.</value>
        public string FriendlyName
        {
            get { return _friendlyName; }
            set { _friendlyName = value; }
        }

        /// <summary>
        /// Gets or sets the type of the environment.
        /// </summary>
        /// <value>The type of the environment.</value>
        public string EnvironmentType
        {
            get { return _environmentType; }
            set { _environmentType = value; }
        }

        #endregion //Public Properties
    }
}
