﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TibcoQueueMonitor.Entities
{
    /// <summary>
    /// Object representing a TIBCO EMS consumer.
    /// </summary>
    [Serializable]
    public class TibcoConsumer
    {
        #region Private Fields
        private string _consumerId;
        private string _connectionId;
        private string _user;
        private string _queue;
        private bool _active;

        #endregion //Private Fields

        #region Public Properties
        /// <summary>
        /// Gets or sets the consumer ID.
        /// </summary>
        /// <value>The consumer ID.</value>
        public string ConsumerID
        {
            get { return _consumerId; }
            set { _consumerId = value; }
        }

        /// <summary>
        /// Gets or sets the connection ID.
        /// </summary>
        /// <value>The connection ID.</value>
        public string ConnectionID
        {
            get { return _connectionId; }
            set { _connectionId = value; }
        }

        /// <summary>
        /// Gets or sets the user.
        /// </summary>
        /// <value>The user.</value>
        public string User
        {
            get { return _user; }
            set { _user = value; }
        }

        /// <summary>
        /// Gets or sets the queue.
        /// </summary>
        /// <value>The queue.</value>
        public string Queue
        {
            get { return _queue; }
            set { _queue = value; }
        }

        /// <summary>
        /// Gets or sets a value indicating whether this <see cref="TibcoConsumer"/> is active.
        /// </summary>
        /// <value><c>true</c> if active; otherwise, <c>false</c>.</value>
        public bool Active
        {
            get { return _active; }
            set { _active = value; }
        }

        #endregion //Public Properties

    }
}
