﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TibcoQueueMonitor
{
    /// <summary>
    /// Represents the type of parse mode that the data parser is currently in.
    /// </summary>
    /// <remarks>
    /// This object is used internally.
    /// </remarks>
    internal enum ParseMode
    {
        /// <summary>
        /// The parser is not parsing any data set.
        /// </summary>
        None,
        /// <summary>
        /// The parser is processing the set of queue data.
        /// </summary>
        Queues,
        /// <summary>
        /// The parser is processing the set of connections data.
        /// </summary>
        Connections,
        /// <summary>
        /// The parser is processing the set of consumers data.
        /// </summary>
        Consumers
    };
}
