﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TibcoQueueMonitor.TibcoAdminManagers
{
    /// <summary>
    /// Represents the relative position of the column in the data set.
    /// Helps indicate to the parser on how to parse the column.
    /// </summary>
    public enum ColumnType
    {
        /// <summary>
        /// Indicates the column is first in the data set.
        /// </summary>
        First,
        /// <summary>
        /// Indicates the column is one of the columns in the middle of the
        /// set.
        /// </summary>
        Middle,
        /// <summary>
        /// Indicates the column is last in the data set.
        /// </summary>
        Last
    }
}
